Skip to main content
GET
/
api
/
v2
/
account
/
{account_id}
/
relationship
/
contacts
Paginated account↔contact relationship view
curl --request GET \
  --url https://api.example.com/api/v2/account/{account_id}/relationship/contacts \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "next_cursor": "<string>",
  "parent": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "record_type": "<string>"
  },
  "api_name": "<string>",
  "items": [
    {
      "related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "related_record_type": "<string>",
      "through": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "record_type": "<string>",
        "attributes": {
          "role": {
            "value": "<string>",
            "value_type": "string"
          },
          "is_primary": {
            "value": true,
            "value_type": "boolean"
          }
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Reevo API key passed as Authorization: Bearer <api-key>.

Path Parameters

account_id
string<uuid>
required

Query Parameters

cursor
string | null
page_size
integer
default:50
Required range: x >= 1

Response

Successful Response

count
integer
required
next_cursor
string | null
required
parent
ParentRef · object
required

Reference back to the parent record on a sub-resource response.

api_name
string
required
items
JunctionRelationshipItem[PublicV2ContactAccountRoleAttributes] · object[]
required